Package org.drinkless.tdlib

# Class TdApi.TextEntityTypeMediaTimestamp

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TextEntityType
org.drinkless.tdlib.TdApi.TextEntityTypeMediaTimestamp

Enclosing class:
  `TdApi`

public static class TdApi.TextEntityTypeMediaTimestamp extends TdApi.TextEntityType
A media timestamp.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.TextEntityType

  `TdApi.TextEntityType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `mediaTimestamp`
  Timestamp from which a video/audio/video note/voice note/story playing must start, in seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextEntityTypeMediaTimestamp()`
  A media timestamp.
  `TextEntityTypeMediaTimestamp(int mediaTimestamp)`
  A media timestamp.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### mediaTimestamp

    public int mediaTimestamp
    Timestamp from which a video/audio/video note/voice note/story playing must start, in seconds. The media can be in the content or the link preview of the current message, or in the same places in the replied message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TextEntityTypeMediaTimestamp

    public TextEntityTypeMediaTimestamp()
    A media timestamp.

  - ### TextEntityTypeMediaTimestamp

    public TextEntityTypeMediaTimestamp(int mediaTimestamp)
    A media timestamp.
    Parameters:
      `mediaTimestamp` - Timestamp from which a video/audio/video note/voice note/story playing must start, in seconds. The media can be in the content or the link preview of the current message, or in the same places in the replied message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.TextEntityType`
    Returns:
      this.CONSTRUCTOR